image: ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/python:3.8

stages:
  - build
  - train
  - push

build-image:
  stage: build
  image:
    name: gcr.io/kaniko-project/executor:v1.9.0-debug
    entrypoint: [ "" ]
  script: sh -x ci/build_push_image.sh "195848431569.dkr.ecr.eu-west-1.amazonaws.com/ci-temporary-images:dashboard-$CI_PIPELINE_ID"
  except:
    - tags

push-image-to-ecr:
  stage: push
  image:
    name: gcr.io/kaniko-project/executor:v1.9.0-debug
    entrypoint: [ "" ]
  script: sh -x ci/build_push_image.sh "195848431569.dkr.ecr.eu-west-1.amazonaws.com/ted-applications:dashboard-$CI_COMMIT_REF_NAME"
  only:
    - tags
